package com.ssj.service.conch.parents.v1.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class SubjectChartsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String subject;
    
    private Integer total=0;
    
    private Integer maxNum;

    private List<Integer> xAxis=new ArrayList<Integer>()
    	{
			private static final long serialVersionUID = 1L;
		{
    		add(0);
    		add(1);
    		add(2);
    		add(3);
    		add(4);
    		add(5);
    		add(6);
    		add(7);
    		add(8);
    		add(9);
    		add(10);
    		add(11);
    		add(12);
    		add(13);
    		add(14);
    		add(15);
    		add(16);
    		add(17);
    		add(18);
    		add(19);
    		add(20);
    		add(21);
    		add(22);
    		add(23);
    	}};
    
    private List<Integer> series=new ArrayList<Integer>()
    {
    	private static final long serialVersionUID = 1L;
	{
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
		add(0);
	}};

	public void addSeries(int xAxi,Integer series) {
		this.series.set(xAxi-1,series);
		this.maxNum=Collections.max(this.series);
		this.total=this.total+series;
	}
	
	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public Integer getTotal() {
		return total;
	}
	
	public Integer getMaxNum() {
		return maxNum;
	}

	public List<Integer> getxAxis() {
		return xAxis;
	}

	public void setxAxis(List<Integer> xAxis) {
		this.xAxis = xAxis;
	}

	public List<Integer> getSeries() {
		return series;
	}

}
